none
Installation error in SharePoint 2013 while installing on windows Server2012r2

    Question

  • Hello friends,

    i am getting following error while installing offline share point on premise on Win Server2012r2, firstly prerequiste installer not running itself i have to manulay install each and every prereq, and now all the pre-req has been installed as you can see but stuck in IIS server configuration error, however while running setup getting AppFabric not correctly insattled on your system. kindly find refrence diagram attached


    Sunday, March 12, 2017 5:35 AM

All replies

  • Hi Muhammad Ilyas Memon.

    Sorry, but there is no attachment in this post, we cannot see all the information you've posted.
    One important thing to keep in mind: only SharePoint Server 2013 with Service Pack 1 can be installed in Windows Server 2012 R2, the version without the Service Pack will not install.
    Also check if .NET Framework 4.6 or newer is installed in the server: that could prevent SharePoint from successfully installing.

    Bye.


    Luigi Bruno
    MCP, MCTS, MOS, MTA

    Sunday, March 12, 2017 12:13 PM
  • Hi Muhammad Ilyas Memon,

    Is there any update?

    As Luigi Bruno mentioned, SharePoint 2013 SP1 support in Windows Server 2012 R2. Are you installing SharePoint 2013 SP1?

    The AppFabric 1.1 Installation Error is very general, you need to check for the installation logs to figure out the root cause.

    Here is an article which collects some common AppFabric errors, you can check if there are similar with yours:

    https://blogs.msdn.microsoft.com/distributedservices/2014/12/16/common-appfabric-1-1-installation-errors-with-and-without-sharepoint/

    Thanks,

    Dean Wang


    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com

    Monday, March 20, 2017 12:21 PM
    Moderator
  • Hi

    please check if on your server Framework 4.6 is installed -

    uninstall if necesarry KB3102467 ( which installed .NET Framework 4.6 - incompatible with Sharepoint 2013 )


    Romeo Donca, Orange Romania (MCSE, MCITP, CCNA) Please Mark As Answer if my post solves your problem or Vote As Helpful if the post has been helpful for you.

    Monday, March 20, 2017 12:33 PM
  • Hi,
    Is there any update?
    If my reply is helpful to you, you can mark as answer.
    Thanks,
    Dean Wang

    Please remember to mark the replies as answers if they help.
    If you have feedback for TechNet Subscriber Support, contact tnmff@microsoft.com

    Monday, March 27, 2017 11:36 AM
    Moderator